Bug 268928 - Regressions in new Attach dialog window
Regressions in new Attach dialog window
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Debugger
Dev
PC Solaris
: P3 (vote)
: 8.2
Assigned To: Maria Tishkova
issues@cnd
CR_25133469, 82patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-10 11:28 UTC by soldatov
Modified: 2016-12-11 02:35 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Old Attach dialog window (48.83 KB, image/png)
2016-11-10 11:29 UTC, soldatov
Details
New Attach dialog window (23.42 KB, image/png)
2016-11-10 11:30 UTC, soldatov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description soldatov 2016-11-10 11:28:31 UTC
Regressions in new Attach dialog window:
1) 'Host' and 'Refresh' buttons has different size, I see empty space before 'Filter' label
2) Now 'Filter' is a text field. We missed 'history' list (previous text field is a ComboBox)
3) I see mnemonic conflict. I can't select Filter field via Alt-F shortcut
Comment 1 soldatov 2016-11-10 11:29:46 UTC
Created attachment 162864 [details]
Old Attach dialog window
Comment 2 soldatov 2016-11-10 11:30:21 UTC
Created attachment 162865 [details]
New Attach dialog window
Comment 3 Maria Tishkova 2016-11-26 15:16:57 UTC
fixed in enum 
changeset:   313451:d68b8fe96139
branch:      release82
tag:         tip
parent:      313436:0e9f199dbbaa
user:        Maria Dalmatova <mromashova@netbeans.org>
date:        Sat Nov 26 18:12:42 2016 +0300
summary:     fixed bz#268928 - Regressions in new Attach dialog window
Comment 4 Quality Engineering 2016-12-03 03:02:55 UTC
Integrated into 'main-silver', will be available in build *201612030001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/a6dfa23f7fde
User: Maria Dalmatova <mromashova@netbeans.org>
Log: fixed bz#268928 - Regressions in new Attach dialog window
and cr#25133469 - At first time Attach action doesn't create "application (PID 11111)" target
(transplanted from d68b8fe96139eb703023b6058e512a10489c5e47)
Comment 5 soldatov 2016-12-07 13:50:57 UTC
Now Attach dialog works better. But I see mnemonic conflict in latest builds too.
Comment 6 Maria Tishkova 2016-12-09 09:19:05 UTC
added fix for mnemonic for Filter combo box:

enum
changeset:   313827:d990edd0dcb4
branch:      release82
tag:         tip
parent:      313813:d0078b27348a
user:        Maria Dalmatova <mromashova@netbeans.org>
date:        Fri Dec 09 12:18:11 2016 +0300
summary:     fixed bz#268928 - Regressions in new Attach dialog window
Comment 7 soldatov 2016-12-09 15:04:36 UTC
Verified in internal NetBeans 8,2 patch 1 build.
Comment 8 Quality Engineering 2016-12-11 02:35:12 UTC
Integrated into 'main-silver', will be available in build *201612110001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/4a5173ada0ea
User: Maria Dalmatova <mromashova@netbeans.org>
Log: fixed bz#268928 - Regressions in new Attach dialog window
Now Alt+F works for filter combo box
And Alt+R for Refresh button
(transplanted from d990edd0dcb498afcae74544079cd22dca8cfe87)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo